## org.w3c.jigsaw.ssi.commands
Class ExecCommand

    java.lang.Object
      |
      +--org.w3c.jigsaw.ssi.commands.BasicCommand
            |
            +--org.w3c.jigsaw.ssi.commands.ExecCommand

public class ExecCommand
extends BasicCommand

Implementation of the SSI `exec` command. It inserts the output from a CGI script or a shell command in the document. Note that in the Jigsaw architecture CGI scripts are just another resource class, so that no distinction is made between executing a CGI script or including a file. Relies on variables set by DefaultCommandRegistry.

Fields inherited from class org.w3c.jigsaw.ssi.commands.BasicCommand
`STATE_IF_MODIFIED_SINCE`

Constructor Summary
`ExecCommand()`

Method Summary
`boolean` | `acceptCaching()` return true if reply can be cached.
`org.w3c.jigsaw.http.Reply` | `execute(org.w3c.jigsaw.ssi.SSIFrame ssiframe, org.w3c.jigsaw.http.Request request, ArrayDictionary parameters, java.util.Dictionary variables)`
`java.lang.String` | `getName()`
`java.lang.String` | `getValue(java.util.Dictionary variables, java.lang.String variable, org.w3c.jigsaw.http.Request request)`

Methods inherited from class org.w3c.jigsaw.ssi.commands.BasicCommand
`handleSimpleIMS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecCommand

    public ExecCommand()

Method Detail

### execute

    public org.w3c.jigsaw.http.Reply execute(org.w3c.jigsaw.ssi.SSIFrame ssiframe,
                                             org.w3c.jigsaw.http.Request request,
                                             ArrayDictionary parameters,
                                             java.util.Dictionary variables)

### acceptCaching

    public boolean acceptCaching()

  return true if reply can be cached.
  Returns:
    a boolean.
  Overrides:
    acceptCaching in class BasicCommand

### getName

    public java.lang.String getName()

### getValue

    public java.lang.String getValue(java.util.Dictionary variables,
                                     java.lang.String variable,
                                     org.w3c.jigsaw.http.Request request)